using Microsoft.AspNetCore.Components.WebAssembly.Hosting;

using NSeguin.Dev.Web.Extensions;
using NSeguin.Dev.Web.Services;

WebAssemblyHostBuilder builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.Services.AddNSeguinDevWebClient();
#if DEBUG
builder.Logging.SetMinimumLevel(LogLevel.Debug);
#endif
builder.Services.AddCascadingValue(s => s.GetRequiredService<IAppDataService>().UserConfiguration);
await builder.Build().RunAsync();
